# Uses of Interface
javax.swing.tree.TreeModel

Packages that use TreeModel
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.tree
Provides classes and interfaces for dealing with `javax.swing.JTree`.

- ## Uses of TreeModel in javax.swing

  Fields in javax.swing declared as TreeModel
  Modifier and Type
  Field
  Description
  `protected TreeModel`
  JTree.`treeModel`
  The model that defines the tree displayed by this object.
  Methods in javax.swing that return TreeModel
  Modifier and Type
  Method
  Description
  `protected static TreeModel`
  JTree.`createTreeModel(Object value)`
  Returns a `TreeModel` wrapping the specified object.
  `protected static TreeModel`
  JTree.`getDefaultTreeModel()`
  Creates and returns a sample `TreeModel`.
  `TreeModel`
  JTree.`getModel()`
  Returns the `TreeModel` that is providing the data.
  Methods in javax.swing with parameters of type TreeModel
  Modifier and Type
  Method
  Description
  `void`
  JTree.`setModel(TreeModel newModel)`
  Sets the `TreeModel` that will provide the data.
  Constructors in javax.swing with parameters of type TreeModel
  Modifier
  Constructor
  Description
  ``
  `JTree(TreeModel newModel)`
  Returns an instance of `JTree` which displays the root node -- the tree is created using the specified data model.

- ## Uses of TreeModel in javax.swing.plaf.basic

  Fields in javax.swing.plaf.basic declared as TreeModel
  Modifier and Type
  Field
  Description
  `protected TreeModel`
  BasicTreeUI.`treeModel`
  Used to determine what to display.
  Methods in javax.swing.plaf.basic that return TreeModel
  Modifier and Type
  Method
  Description
  `protected TreeModel`
  BasicTreeUI.`getModel()`
  Returns the tree model.
  Methods in javax.swing.plaf.basic with parameters of type TreeModel
  Modifier and Type
  Method
  Description
  `protected void`
  BasicTreeUI.`setModel(TreeModel model)`
  Sets the `TreeModel`.

- ## Uses of TreeModel in javax.swing.tree

  Classes in javax.swing.tree that implement TreeModel
  Modifier and Type
  Class
  Description
  `class`
  `DefaultTreeModel`
  A simple tree data model that uses TreeNodes.
  Fields in javax.swing.tree declared as TreeModel
  Modifier and Type
  Field
  Description
  `protected TreeModel`
  AbstractLayoutCache.`treeModel`
  Model providing information.
  Methods in javax.swing.tree that return TreeModel
  Modifier and Type
  Method
  Description
  `TreeModel`
  AbstractLayoutCache.`getModel()`
  Returns the `TreeModel` that is providing the data.
  Methods in javax.swing.tree with parameters of type TreeModel
  Modifier and Type
  Method
  Description
  `void`
  AbstractLayoutCache.`setModel(TreeModel newModel)`
  Sets the `TreeModel` that will provide the data.
  `void`
  FixedHeightLayoutCache.`setModel(TreeModel newModel)`
  Sets the TreeModel that will provide the data.
  `void`
  VariableHeightLayoutCache.`setModel(TreeModel newModel)`
  Sets the `TreeModel` that will provide the data.